osl::eval::ml::NonPawnPieceStand Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Attributes | List of all members
osl::eval::ml::NonPawnPieceStand Class Reference

`#include <pieceStand.h>`

Collaboration diagram for osl::eval::ml::NonPawnPieceStand:
[legend]

## Public Types
enum | { DIM = 21 }

## Public Member Functions
| NonPawnPieceStand ()

## Static Public Member Functions
static void | setUp (const Weights &weights, int stage)
static MultiInt | eval (int black_count, int white_count)

## Static Private Attributes
static CArray< MultiInt, 21 > | table

## Detailed Description

Definition at line 62 of file eval/ml/pieceStand.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 66 of file eval/ml/pieceStand.h.

## Constructor & Destructor Documentation

osl::eval::ml::NonPawnPieceStand::NonPawnPieceStand | ( | ) |  |
| inline

Definition at line 67 of file eval/ml/pieceStand.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::NonPawnPieceStand::eval | ( | int | black_count,
|  | int | white_count
| ) |  |
| static

Definition at line 54 of file eval/ml/pieceStand.cc.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo(), osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval(), and osl::eval::ml::OpenMidEndingEval::updateSub().

void osl::eval::ml::NonPawnPieceStand::setUp | ( | const Weights & | weights,
|  | int | stage
| ) |  |
| static

Definition at line 45 of file eval/ml/pieceStand.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< osl::MultiInt, 21 > osl::eval::ml::NonPawnPieceStand::table
| staticprivate

Definition at line 64 of file eval/ml/pieceStand.h.

The documentation for this class was generated from the following files:

- eval/ml/pieceStand.h
- eval/ml/pieceStand.cc